<!DOCTYPE html>
<!-- Generated by pkgdown: do not edit by hand --><html lang="en"><head><meta http-equiv="Content-Type" content="text/html; charset=UTF-8"><meta charset="utf-8"><meta http-equiv="X-UA-Compatible" content="IE=edge"><meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no"><meta name="description" content="

This function was adapted based on the plotResponse function provided in
SDMtune:
Vignali, S., Barras, A. G., Arlettaz, R., Braunisch, V. (2022). SDMtune:
An R package to tune and evaluate species distribution models. Ecology
and Evololution, 10(20), 11488–11506. https://doi.org/10.1002/ece3.6786

Plot response curves using a biomod2 model object and the data used to fit
the model.
The default function for setting other variables is mean for continuous
predictors, and terra::modal for categorical predictors.
Continuous predictors include rug plots (green = presence, orange =
absence).
Categorical predictors are plotted as bar plots, while continuous
predictors are plotted as line plots.

"><title>Plot the response curve of a model — EC_plot_response • ecocommons</title><script src="../deps/jquery-3.6.0/jquery-3.6.0.min.js"></script><meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no"><link href="../deps/bootstrap-5.1.3/bootstrap.min.css" rel="stylesheet"><script src="../deps/bootstrap-5.1.3/bootstrap.bundle.min.js"></script><!-- Font Awesome icons --><link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.12.1/css/all.min.css" integrity="sha256-mmgLkCYLUQbXn0B1SRqzHar6dCnv9oZFPEC1g1cwlkk=" crossorigin="anonymous"><link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.12.1/css/v4-shims.min.css" integrity="sha256-wZjR52fzng1pJHwx4aV2AO3yyTOXrcDW7jBpJtTwVxw=" crossorigin="anonymous"><!-- bootstrap-toc --><script src="https://cdn.rawgit.com/afeld/bootstrap-toc/v1.0.1/dist/bootstrap-toc.min.js"></script><!-- headroom.js --><script src="https://cdnjs.cloudflare.com/ajax/libs/headroom/0.11.0/headroom.min.js" integrity="sha256-AsUX4SJE1+yuDu5+mAVzJbuYNPHj/WroHuZ8Ir/CkE0=" crossorigin="anonymous"></script><script src="https://cdnjs.cloudflare.com/ajax/libs/headroom/0.11.0/jQuery.headroom.min.js" integrity="sha256-ZX/yNShbjqsohH1k95liqY9Gd8uOiE1S4vZc+9KQ1K4=" crossorigin="anonymous"></script><!-- clipboard.js --><script src="https://cdnjs.cloudflare.com/ajax/libs/clipboard.js/2.0.6/clipboard.min.js" integrity="sha256-inc5kl9MA1hkeYUt+EC3BhlIgyp/2jDIyBLS6k3UxPI=" crossorigin="anonymous"></script><!-- search --><script src="https://cdnjs.cloudflare.com/ajax/libs/fuse.js/6.4.6/fuse.js" integrity="sha512-zv6Ywkjyktsohkbp9bb45V6tEMoWhzFzXis+LrMehmJZZSys19Yxf1dopHx7WzIKxr5tK2dVcYmaCk2uqdjF4A==" crossorigin="anonymous"></script><script src="https://cdnjs.cloudflare.com/ajax/libs/autocomplete.js/0.38.0/autocomplete.jquery.min.js" integrity="sha512-GU9ayf+66Xx2TmpxqJpliWbT5PiGYxpaG8rfnBEk1LL8l1KGkRShhngwdXK1UgqhAzWpZHSiYPc09/NwDQIGyg==" crossorigin="anonymous"></script><script src="https://cdnjs.cloudflare.com/ajax/libs/mark.js/8.11.1/mark.min.js" integrity="sha512-5CYOlHXGh6QpOFA/TeTylKLWfB3ftPsde7AnmhuitiTX4K5SqCLBeKro6sPS8ilsz1Q4NRx3v8Ko2IBiszzdww==" crossorigin="anonymous"></script><!-- pkgdown --><script src="../pkgdown.js"></script><meta property="og:title" content="Plot the response curve of a model — EC_plot_response"><meta property="og:description" content="

This function was adapted based on the plotResponse function provided in
SDMtune:
Vignali, S., Barras, A. G., Arlettaz, R., Braunisch, V. (2022). SDMtune:
An R package to tune and evaluate species distribution models. Ecology
and Evololution, 10(20), 11488–11506. https://doi.org/10.1002/ece3.6786

Plot response curves using a biomod2 model object and the data used to fit
the model.
The default function for setting other variables is mean for continuous
predictors, and terra::modal for categorical predictors.
Continuous predictors include rug plots (green = presence, orange =
absence).
Categorical predictors are plotted as bar plots, while continuous
predictors are plotted as line plots.

"><!-- mathjax --><script src="https://cdnjs.cloudflare.com/ajax/libs/mathjax/2.7.5/MathJax.js" integrity="sha256-nvJJv9wWKEm88qvoQl9ekL2J+k/RWIsaSScxxlsrv8k=" crossorigin="anonymous"></script><script src="https://cdnjs.cloudflare.com/ajax/libs/mathjax/2.7.5/config/TeX-AMS-MML_HTMLorMML.js" integrity="sha256-84DKXVJXs0/F8OTMzX4UR909+jtl4G7SPypPavF+GfA=" crossorigin="anonymous"></script><!--[if lt IE 9]>
<script src="https://oss.maxcdn.com/html5shiv/3.7.3/html5shiv.min.js"></script>
<script src="https://oss.maxcdn.com/respond/1.4.2/respond.min.js"></script>
<![endif]--></head><body>
    <a href="#main" class="visually-hidden-focusable">Skip to contents</a>
    

    <nav class="navbar fixed-top navbar-light navbar-expand-lg bg-light"><div class="container">
    
    <a class="navbar-brand me-2" href="../index.html">ecocommons</a>

    <small class="nav-text text-muted me-auto" data-bs-toggle="tooltip" data-bs-placement="bottom" title="">1.2.3</small>

    
    <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbar" aria-controls="navbar" aria-expanded="false" aria-label="Toggle navigation">
      <span class="navbar-toggler-icon"></span>
    </button>

    <div id="navbar" class="collapse navbar-collapse ms-3">
      <ul class="navbar-nav me-auto"><li class="nav-item">
  <a class="nav-link" href="../articles/ecocommons.html">Get started</a>
</li>
<li class="active nav-item">
  <a class="nav-link" href="../reference/index.html">Reference</a>
</li>
<li class="nav-item">
  <a class="nav-link" href="../news/index.html">Changelog</a>
</li>
      </ul><form class="form-inline my-2 my-lg-0" role="search">
        <input type="search" class="form-control me-sm-2" aria-label="Toggle navigation" name="search-input" data-search-index="../search.json" id="search-input" placeholder="Search for" autocomplete="off"></form>

      <ul class="navbar-nav"><li class="nav-item">
  <a class="external-link nav-link" href="https://gitlab.com/ecocommons-australia/ecocommons-platform/ecocommons/" aria-label="gitlab">
    <span class="fab fa fab fa-gitlab fa-lg"></span>
     
  </a>
</li>
      </ul></div>

    
  </div>
</nav><div class="container template-reference-topic">
<div class="row">
  <main id="main" class="col-md-9"><div class="page-header">
      <img src="" class="logo" alt=""><h1>Plot the response curve of a model</h1>
      <small class="dont-index">Source: <a href="https://gitlab.com/ecocommons-australia/ecocommons-platform/ecocommons/blob/HEAD/R/EC_plot_response.R" class="external-link"><code>R/EC_plot_response.R</code></a></small>
      <div class="d-none name"><code>EC_plot_response.Rd</code></div>
    </div>

    <div class="ref-description section level2">
    
<ul><li><p>This function was adapted based on the plotResponse function provided in
<a href="https://github.com/ConsBiol-unibern/SDMtune" class="external-link">SDMtune</a>:</p><ul><li><p>Vignali, S., Barras, A. G., Arlettaz, R., Braunisch, V. (2022). SDMtune:
An R package to tune and evaluate species distribution models. Ecology
and Evololution, 10(20), 11488–11506. https://doi.org/10.1002/ece3.6786</p></li>
</ul></li>
<li><p>Plot response curves using a biomod2 model object and the data used to fit
the model.</p></li>
<li><p>The default function for setting other variables is mean for continuous
predictors, and terra::modal for categorical predictors.</p></li>
<li><p>Continuous predictors include rug plots (green = presence, orange =
absence).</p></li>
<li><p>Categorical predictors are plotted as bar plots, while continuous
predictors are plotted as line plots.</p></li>
</ul></div>

    <div class="section level2">
    <h2 id="ref-usage">Usage<a class="anchor" aria-label="anchor" href="#ref-usage"></a></h2>
    <div class="sourceCode"><pre class="sourceCode r"><code><span><span class="fu">EC_plot_response</span><span class="op">(</span></span>
<span>  <span class="va">model</span>,</span>
<span>  <span class="va">var</span>,</span>
<span>  <span class="va">input_data</span>,</span>
<span>  only_presence <span class="op">=</span> <span class="cn">FALSE</span>,</span>
<span>  fun <span class="op">=</span> <span class="va">mean</span>,</span>
<span>  EC.env <span class="op">=</span> <span class="va">EC.env</span></span>
<span><span class="op">)</span></span></code></pre></div>
    </div>

    <div class="section level2">
    <h2 id="arguments">Arguments<a class="anchor" aria-label="anchor" href="#arguments"></a></h2>
    <dl><dt>model</dt>
<dd><p>Object; the model object (biomod2 type)</p></dd>


<dt>var</dt>
<dd><p>Character vector; the names of the variables to plot response
curves for (must be used in the model)</p></dd>


<dt>input_data</dt>
<dd><p>Object; containing the input data used to fit the model</p></dd>


<dt>only_presence</dt>
<dd><p>Logical; if TRUE, only the presence data will be used to
plot the response curves (default: FALSE)</p></dd>


<dt>fun</dt>
<dd><p>Function; the function used to set other vars to when
plotting a response curve (default: mean). If a vars type = "categorical",
the default is always mode</p></dd>

</dl></div>

  </main><aside class="col-md-3"><nav id="toc"><h2>On this page</h2>
    </nav></aside></div>


    <footer><div class="pkgdown-footer-left">
  <p></p><p>Developed by EcoCommons Platform.</p>
</div>

<div class="pkgdown-footer-right">
  <p></p><p>Site built with <a href="https://pkgdown.r-lib.org/" class="external-link">pkgdown</a> 2.0.6.</p>
</div>

    </footer></div>

  

  

  </body></html>

